## GarconMenuItem GarconMenuItem — |

## Functions

GarconMenuItem * | garcon_menu_item_new ()
GarconMenuItem * | garcon_menu_item_new_for_path ()
GarconMenuItem * | garcon_menu_item_new_for_uri ()
gboolean | garcon_menu_item_reload ()
gboolean | garcon_menu_item_reload_from_file ()
GFile * | garcon_menu_item_get_file ()
gchar * | garcon_menu_item_get_uri ()
const gchar * | garcon_menu_item_get_desktop_id ()
void | garcon_menu_item_set_desktop_id ()
const gchar * | garcon_menu_item_get_command ()
void | garcon_menu_item_set_command ()
const gchar * | garcon_menu_item_get_try_exec ()
void | garcon_menu_item_set_try_exec ()
const gchar * | garcon_menu_item_get_name ()
void | garcon_menu_item_set_name ()
const gchar * | garcon_menu_item_get_generic_name ()
void | garcon_menu_item_set_generic_name ()
const gchar * | garcon_menu_item_get_comment ()
void | garcon_menu_item_set_comment ()
const gchar * | garcon_menu_item_get_icon_name ()
void | garcon_menu_item_set_icon_name ()
const gchar * | garcon_menu_item_get_path ()
void | garcon_menu_item_set_path ()
gboolean | garcon_menu_item_get_hidden ()
void | garcon_menu_item_set_hidden ()
gboolean | garcon_menu_item_requires_terminal ()
void | garcon_menu_item_set_requires_terminal ()
gboolean | garcon_menu_item_get_no_display ()
void | garcon_menu_item_set_no_display ()
gboolean | garcon_menu_item_supports_startup_notification ()
void | garcon_menu_item_set_supports_startup_notification ()
GList * | garcon_menu_item_get_categories ()
void | garcon_menu_item_set_categories ()
gboolean | garcon_menu_item_has_category ()
gboolean | garcon_menu_item_get_show_in_environment ()
gboolean | garcon_menu_item_only_show_in_environment ()
void | garcon_menu_item_ref ()
void | garcon_menu_item_unref ()
gint | garcon_menu_item_get_allocated ()
void | garcon_menu_item_increment_allocated ()
void | garcon_menu_item_decrement_allocated ()

## Properties

gchar * | command | Read / Write
gchar * | comment | Read / Write
gchar * | desktop-id | Read / Write
GFile * | file | Read / Write / Construct Only
gchar * | generic-name | Read / Write
gboolean | hidden | Read / Write
gchar * | icon-name | Read / Write
gchar * | name | Read / Write
gboolean | no-display | Read / Write
gchar * | path | Read / Write
gboolean | requires-terminal | Read / Write
gboolean | supports-startup-notification | Read / Write
gchar * | try-exec | Read / Write

## Signals

void | changed | Run First

## Object Hierarchy

        GObject
        ╰── GarconMenuItem

## Description

## Functions

### garcon_menu_item_new ()

    GarconMenuItem *
    garcon_menu_item_new (GFile *file);

#### Returns

### garcon_menu_item_new_for_path ()

    GarconMenuItem *
    garcon_menu_item_new_for_path (const gchar *filename);

#### Returns

### garcon_menu_item_new_for_uri ()

    GarconMenuItem *
    garcon_menu_item_new_for_uri (const gchar *uri);

#### Returns

### garcon_menu_item_reload ()

    gboolean
    garcon_menu_item_reload (GarconMenuItem *item,
                             gboolean *affects_the_outside,
                             GError **error);

#### Returns

### garcon_menu_item_reload_from_file ()

    gboolean
    garcon_menu_item_reload_from_file (GarconMenuItem *item,
                                       GFile *file,
                                       gboolean *affects_the_outside,
                                       GError **error);

#### Returns

### garcon_menu_item_get_file ()

    GFile *
    garcon_menu_item_get_file (GarconMenuItem *item);

Get the file for `item` .

#### Returns

a GFile. The returned object should be unreffed with `g_object_unref()` when no longer needed.

### garcon_menu_item_get_uri ()

    gchar *
    garcon_menu_item_get_uri (GarconMenuItem *item);

#### Returns

### garcon_menu_item_get_desktop_id ()

    const gchar *
    garcon_menu_item_get_desktop_id (GarconMenuItem *item);

#### Returns

### garcon_menu_item_set_desktop_id ()

    void
    garcon_menu_item_set_desktop_id (GarconMenuItem *item,
                                     const gchar *desktop_id);

### garcon_menu_item_get_command ()

    const gchar *
    garcon_menu_item_get_command (GarconMenuItem *item);

#### Returns

### garcon_menu_item_set_command ()

    void
    garcon_menu_item_set_command (GarconMenuItem *item,
                                  const gchar *command);

### garcon_menu_item_get_try_exec ()

    const gchar *
    garcon_menu_item_get_try_exec (GarconMenuItem *item);

#### Returns

### garcon_menu_item_set_try_exec ()

    void
    garcon_menu_item_set_try_exec (GarconMenuItem *item,
                                   const gchar *try_exec);

### garcon_menu_item_get_name ()

    const gchar *
    garcon_menu_item_get_name (GarconMenuItem *item);

#### Returns

### garcon_menu_item_set_name ()

    void
    garcon_menu_item_set_name (GarconMenuItem *item,
                               const gchar *name);

### garcon_menu_item_get_generic_name ()

    const gchar *
    garcon_menu_item_get_generic_name (GarconMenuItem *item);

#### Returns

### garcon_menu_item_set_generic_name ()

    void
    garcon_menu_item_set_generic_name (GarconMenuItem *item,
                                       const gchar *generic_name);

### garcon_menu_item_get_comment ()

    const gchar *
    garcon_menu_item_get_comment (GarconMenuItem *item);

#### Returns

### garcon_menu_item_set_comment ()

    void
    garcon_menu_item_set_comment (GarconMenuItem *item,
                                  const gchar *comment);

### garcon_menu_item_get_icon_name ()

    const gchar *
    garcon_menu_item_get_icon_name (GarconMenuItem *item);

#### Returns

### garcon_menu_item_set_icon_name ()

    void
    garcon_menu_item_set_icon_name (GarconMenuItem *item,
                                    const gchar *icon_name);

### garcon_menu_item_get_path ()

    const gchar *
    garcon_menu_item_get_path (GarconMenuItem *item);

#### Returns

### garcon_menu_item_set_path ()

    void
    garcon_menu_item_set_path (GarconMenuItem *item,
                               const gchar *path);

### garcon_menu_item_get_hidden ()

    gboolean
    garcon_menu_item_get_hidden (GarconMenuItem *item);

#### Returns

### garcon_menu_item_set_hidden ()

    void
    garcon_menu_item_set_hidden (GarconMenuItem *item,
                                 gboolean hidden);

### garcon_menu_item_requires_terminal ()

    gboolean
    garcon_menu_item_requires_terminal (GarconMenuItem *item);

#### Returns

### garcon_menu_item_set_requires_terminal ()

    void
    garcon_menu_item_set_requires_terminal
                                   (GarconMenuItem *item,
                                    gboolean requires_terminal);

### garcon_menu_item_get_no_display ()

    gboolean
    garcon_menu_item_get_no_display (GarconMenuItem *item);

#### Returns

### garcon_menu_item_set_no_display ()

    void
    garcon_menu_item_set_no_display (GarconMenuItem *item,
                                     gboolean no_display);

### garcon_menu_item_supports_startup_notification ()

    gboolean
    garcon_menu_item_supports_startup_notification
                                   (GarconMenuItem *item);

#### Returns

### garcon_menu_item_set_supports_startup_notification ()

    void
    garcon_menu_item_set_supports_startup_notification
                                   (GarconMenuItem *item,
                                    gboolean supports_startup_notification);

### garcon_menu_item_get_categories ()

    GList *
    garcon_menu_item_get_categories (GarconMenuItem *item);

#### Returns

### garcon_menu_item_set_categories ()

    void
    garcon_menu_item_set_categories (GarconMenuItem *item,
                                     GList *categories);

### garcon_menu_item_has_category ()

    gboolean
    garcon_menu_item_has_category (GarconMenuItem *item,
                                   const gchar *category);

#### Returns

### garcon_menu_item_get_show_in_environment ()

    gboolean
    garcon_menu_item_get_show_in_environment
                                   (GarconMenuItem *item);

#### Returns

### garcon_menu_item_only_show_in_environment ()

    gboolean
    garcon_menu_item_only_show_in_environment
                                   (GarconMenuItem *item);

#### Returns

### garcon_menu_item_ref ()

    void
    garcon_menu_item_ref (GarconMenuItem *item);

### garcon_menu_item_unref ()

    void
    garcon_menu_item_unref (GarconMenuItem *item);

### garcon_menu_item_get_allocated ()

    gint
    garcon_menu_item_get_allocated (GarconMenuItem *item);

#### Returns

### garcon_menu_item_increment_allocated ()

    void
    garcon_menu_item_increment_allocated (GarconMenuItem *item);

### garcon_menu_item_decrement_allocated ()

    void
    garcon_menu_item_decrement_allocated (GarconMenuItem *item);

## Types and Values

## Property Details

### The `“command”` property

      “command”                  gchar *

Application command.

Flags: Read / Write

Default value: NULL

### The `“comment”` property

      “comment”                  gchar *

Comment/description for the application.

Flags: Read / Write

Default value: NULL

### The `“desktop-id”` property

      “desktop-id”               gchar *

Desktop-File Id of the application.

Flags: Read / Write

Default value: NULL

### The `“file”` property

      “file”                     GFile *

file.

Flags: Read / Write / Construct Only

### The `“generic-name”` property

      “generic-name”             gchar *

Generic name of the application.

Flags: Read / Write

Default value: NULL

### The `“hidden”` property

      “hidden”                   gboolean

Whether the application has been deleted.

Flags: Read / Write

Default value: FALSE

### The `“icon-name”` property

      “icon-name”                gchar *

Name of the application icon.

Flags: Read / Write

Default value: NULL

### The `“name”` property

      “name”                     gchar *

Name of the application.

Flags: Read / Write

Default value: NULL

### The `“no-display”` property

      “no-display”               gboolean

Visibility state of the menu item.

Flags: Read / Write

Default value: FALSE

### The `“path”` property

      “path”                     gchar *

Working directory path.

Flags: Read / Write

Default value: NULL

### The `“requires-terminal”` property

      “requires-terminal”        gboolean

Whether this application requires a terminal.

Flags: Read / Write

Default value: FALSE

### The `“supports-startup-notification”` property

      “supports-startup-notification” gboolean

Startup notification support.

Flags: Read / Write

Default value: FALSE

### The `“try-exec”` property

      “try-exec”                 gchar *

Command to check if application is installed.

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“changed”` signal

    void
    user_function (GarconMenuItem *item,
                   gpointer        user_data)

Flags: Run First